# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmahjongg (executable) ####################

tde_add_executable( kmahjongg AUTOMOC
  SOURCES main.cpp kmahjongg.cpp boardwidget.cpp Tileset.cpp BoardLayout.cpp
    GameTimer.cpp Background.cpp Preview.cpp prefs.kcfgc Editor.cpp
    HighScore.cpp settings.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kmahjongg )


##### other data ################################

install( FILES kmahjonggui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kmahjongg
)

install( FILES kmahjongg.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kmahjongg.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
